Package org.apache.qpid.proton.codec

# Class IntegerType

java.lang.Object
org.apache.qpid.proton.codec.IntegerType

All Implemented Interfaces:
  `AMQPType<Integer>`, `PrimitiveType<Integer>`

public class IntegerType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`IntegerType.IntegerEncoding`

## Method Summary

Modifier and Type
Method
Description
`Collection<IntegerType.IntegerEncoding>`
`getAllEncodings()`
`IntegerType.IntegerEncoding`
`getCanonicalEncoding()`
`IntegerType.IntegerEncoding`
`getEncoding(int i)`
`IntegerType.IntegerEncoding`
`getEncoding(Integer val)`
`Class<Integer>`
`getTypeClass()`
`void`
`write(int i)`
`final void`
`write(Integer val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Integer> getTypeClass()

### getEncoding

public IntegerType.IntegerEncoding getEncoding(Integer val)

### getEncoding

public IntegerType.IntegerEncoding getEncoding(int i)

### getCanonicalEncoding

public IntegerType.IntegerEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<IntegerType.IntegerEncoding> getAllEncodings()

### write

public void write(int i)

### write

public final void write(Integer val)

Specified by:
  `write` in interface `AMQPType<T>`